commit:     5893d61a895b2c428d465dba6fe5a3109659fd6c
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 26 12:37:07 2021 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Nov 26 13:08:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5893d61a

sci-mathematics/mathlib-tools: new package; add version 1.1.0

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 +
 .../mathlib-tools/mathlib-tools-1.1.0.ebuild       | 49 ++++++++++++++++++++++
 sci-mathematics/mathlib-tools/metadata.xml         | 19 +++++++++
 3 files changed, 69 insertions(+)

diff --git a/sci-mathematics/mathlib-tools/Manifest 
b/sci-mathematics/mathlib-tools/Manifest
new file mode 100644
index 000000000000..4ab66c9a9e5d
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -0,0 +1 @@
+DIST mathlib-tools-1.1.0.tar.gz 32374 BLAKE2B 
f470927cae1dc66478efd44de6a5fd7c8df9656351ee342d14a1e75e8774383616cedf01b21ef1b92220fb03b1f1ccb326e3363dd0fec4fb5876f43c5ddb4010
 SHA512 
bc59d2e41c42ecc22c5768ac3adb209f0b170e2e97fe68483d8518b78a6b4fa163c1d46e4e3996c6f3e0aaa329c642fd111b3e16d850f40b6edc81c81215d03f

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0.ebuild 
b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0.ebuild
new file mode 100644
index 000000000000..ce6f9c8adf9e
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=(python3_{8,9})
+
+inherit distutils-r1
+
+DESCRIPTION="Development tools for Lean's mathlib"
+HOMEPAGE="https://github.com/leanprover-community/mathlib-tools";
+
+if [[ "${PV}" == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git";
+else
+       
SRC_URI="https://github.com/leanprover-community/${PN}/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+DEPEND="
+       >=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
+       >=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
+       dev-python/PyGithub[${PYTHON_USEDEP}]
+       dev-python/atomicwrites[${PYTHON_USEDEP}]
+       dev-python/certifi[${PYTHON_USEDEP}]
+       dev-python/click[${PYTHON_USEDEP}]
+       dev-python/networkx[${PYTHON_USEDEP}]
+       dev-python/pydot[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/tqdm[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       ${DEPEND}
+       sci-mathematics/lean:0/3
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # Remove problematic tests (mainly issues with network)
+       rm ./tests/test_functional.py || die
+
+       distutils-r1_python_prepare_all
+}

diff --git a/sci-mathematics/mathlib-tools/metadata.xml 
b/sci-mathematics/mathlib-tools/metadata.xml
new file mode 100644
index 000000000000..f91e58a755f7
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+
+<pkgmetadata>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>Maciej Barć</name>
+  </maintainer>
+  <longdescription lang="en">
+    This package contains leanproject, a supporting tool for Lean mathlib.
+    More info:
+    - 
https://leanprover-community.github.io/toolchain.html#handling-dependencies
+    - https://leanprover-community.github.io/leanproject.html
+  </longdescription>
+  <upstream>
+    
<bugs-to>https://github.com/leanprover-community/mathlib-tools/issues</bugs-to>
+    <remote-id type="github">leanprover-community/mathlib-tools</remote-id>
+  </upstream>
+</pkgmetadata>

Reply via email to